### A free/open-source library for quantitative finance

Public Member Functions
ExtendedCoxIngersollRoss::Dynamics Class Reference

Short-rate dynamics in the extended Cox-Ingersoll-Ross model. More...

`#include <ql/models/shortrate/onefactormodels/extendedcoxingersollross.hpp>`

Inheritance diagram for ExtendedCoxIngersollRoss::Dynamics:
[legend]

List of all members.

## Public Member Functions

| Dynamics (const Parameter &phi, Real theta, Real k, Real sigma, Real x0)
virtual Real | variable (Time t, Rate r) const
| Compute state variable from short rate.
virtual Real | shortRate (Time t, Real y) const
| Compute short rate from state variable.

## Detailed Description

Short-rate dynamics in the extended Cox-Ingersoll-Ross model.

The short-rate is here

where is the deterministic time-dependent parameter used for term-structure fitting and is the state variable, the square-root of a standard CIR process.